Bug 91128 - Installer crashed
Installer crashed
Status: CLOSED WORKSFORME
Product: Red Hat Linux
Classification: Retired
Component: rpm-build (Show other bugs)
9
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Johnson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-05-19 01:27 EDT by haibin zhang
Modified: 2007-04-18 12:53 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-05-21 20:12:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description haibin zhang 2003-05-19 01:27:42 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.01; Windows NT 5.0)

Description of problem:
[root@ch-szx-doc SPECS]# rpmbuild -bb -v smmc_app.specs
Executing(%prep): /bin/sh -e /var/tmp/rpm-tmp.83624
+ umask 022
+ cd /usr/src/redhat/BUILD
+ LANG=C
+ export LANG
+ exit 0
Executing(%install): /bin/sh -e /var/tmp/rpm-tmp.83624
+ umask 022
+ cd /usr/src/redhat/BUILD
+ LANG=C
+ export LANG
+ /usr/lib/rpm/redhat/brp-compress
+ /usr/lib/rpm/redhat/brp-strip /usr/bin/strip
+ /usr/lib/rpm/redhat/brp-strip-static-archive /usr/bin/strip
+ /usr/lib/rpm/redhat/brp-strip-comment-note /usr/bin/strip /usr/bin/objdump
Processing files: smmc_app-1.1-7
Requires(interp): /bin/sh /bin/sh
Requires(rpmlib): rpmlib(CompressedFileNames) <= 3.0.4-1 rpmlib
(PayloadFilesHavePrefix) <= 4.0-1
Requires(pre): /bin/sh
Requires(post): /bin/sh
Checking for unpackaged file(s): /usr/lib/rpm/check-files %{buildroot}
getOutputFrom(): Broken pipe
[root@ch-szx-doc SPECS]#

Version-Release number of selected component (if applicable):
rpm-4.2-1

How reproducible:
Sometimes

Steps to Reproduce:
You can run in first time,but when you rebuild it ,it will occurred this case.

1.[root@ch-szx-doc SPECS]# rpmbuild -bb -v smmc_app.specs
Executing(%prep): /bin/sh -e /var/tmp/rpm-tmp.83624
+ umask 022
+ cd /usr/src/redhat/BUILD
+ LANG=C
+ export LANG
+ exit 0
Executing(%install): /bin/sh -e /var/tmp/rpm-tmp.83624
%
Comment 1 Jeff Johnson 2003-05-21 20:12:17 EDT
Yup.

Either add a BuildRoot: directive (recommended) to your
spec file, or disable the use of %{buildroot} by undefining
the macro %__check_files. For example, add to specfile
    %undefine __check_files

Note You need to log in before you can comment on or make changes to this bug.